Erreurs de module d'Authorize.net

Archive

Messagepar beifler » Ven 24 Mar 2006, 04:42

Bonjour! (j'emploie la traduction de google, satisfais ainsi l'excuse le comédie grammatical) j'avais examiné les 1,1 RC1 en prévision de l'employer dans un magasin de phase. Je travaille actuellement avec le module d'Authorize.net, j'ai envoyé quelques essais, mais l'ordre ne signale pas à la base de données.
L'ordre va toujours à authorize.net.

J'ai également découvert un module possible dans d'erreur/includes/modules/payment/authorizenet.php sur la ligne 164 - 165: Nouvellement installé, le module d'autorisation ne peuple pas le tep_draw_pull_down_menu avec le mois ou l'année d'expiration de carte de crédit.
Code: Tout sélectionner
Voici le code original:
array('title' => MODULE_PAYMENT_AUTHORIZENET_TEXT_CREDIT_CARD_EXPIRES,
'field' => tep_draw_pull_down_menu('authorizenet_cc_expires_month', $expires_month) . ' ' . tep_draw_pull_down_menu('authorizenet_cc_expires_year', $expires_year))));

Code: Tout sélectionner
ici est mon code modifié qui semble fonctionner:
array('title' => MODULE_PAYMENT_AUTHORIZENET_TEXT_CREDIT_CARD_EXPIRES,
'field' => tep_draw_pull_down_menu('authorizenet_cc_expires_month', 'cc_expires_month',$expires_month) ),
array('title' => ' ',
'field' => tep_draw_pull_down_menu('authorizenet_cc_expires_year','cc_expires_year', $expires_year))));

de tous vos types de travail. Le grand travail!


For those who understand English better than google speak:

Hello!

I've been testing the 1.1 RC1 in anticipation of using it in a live shop.
I'm currently working with the Authorize.net module, I sent some tests, but the order doesn't post to the database.
The order still goes to authorize.net.

I also discovered a possible error in /includes/modules/payment/authorizenet.php module on line 164 - 165:

Newly installed, the authorize module does not populate the tep_draw_pull_down_menu with the credit card expiration month or year.

Code: Tout sélectionner
Here's the original code:

array('title' => MODULE_PAYMENT_AUTHORIZENET_TEXT_CREDIT_CARD_EXPIRES,
'field' => tep_draw_pull_down_menu('authorizenet_cc_expires_month', $expires_month) . ' ' . tep_draw_pull_down_menu('authorizenet_cc_expires_year', $expires_year))));

Code: Tout sélectionner
Here's my modified code that appears to work:

array('title' => MODULE_PAYMENT_AUTHORIZENET_TEXT_CREDIT_CARD_EXPIRES,
'field' => tep_draw_pull_down_menu('authorizenet_cc_expires_month', 'cc_expires_month',$expires_month) ),
array('title' => ' ',
'field' => tep_draw_pull_down_menu('authorizenet_cc_expires_year','cc_expires_year', $expires_year))));

Thanks for all your work guys. Great job!
beifler
Membre inactif
 
Messages: 2
Inscription: Ven 24 Mar 2006, 03:13

Messagepar beifler » Ven 31 Mar 2006, 00:48

mise à jour
UPDATE

J'ai trouvé une contribution qui résout ce problème (j'ai dû encore éditer les lignes que j'ai mentionné considérer précédemment le menu de traction vers le bas). C'est bien plus d'intégration avançée avec Authorize.net, et inclut (nécessaire!) instructions sur la façon dont installer un compte d'authorize.net. La contribution est ici:
http://www.oscommerce.com/community/contributions,4091

I found a contribution that solves this issue (I still had to edit the lines I mentioned previously regarding the pull down menu). This is an even more advanced integration with Authorize.net, and includes the (needed!) instructions on how to setup an authorize.net account. The contribution is here: http://www.oscommerce.com/community/contributions,4091
beifler
Membre inactif
 
Messages: 2
Inscription: Ven 24 Mar 2006, 03:13

Messagepar stepibou » Ven 31 Mar 2006, 02:22

thank you!

google is a bad translator!

just continue that great job!

find the same pb here : http://forums.oscss.org/viewtopic.php?id=265
--> osCSS inside <--
stepibou
Membre très actif
 
Messages: 274
Inscription: Dim 30 Oct 2005, 02:15
Localisation: Lyon


Retourner vers osCSS 1.1

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités

cron